View Issue Details

IDProjectCategoryView StatusLast Update
0000318WackoWikicachepublic2017-08-31 09:40
ReporteradministratorAssigned Toadministrator 
PriorityhighSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version4.2 
Target Version5.0.betaFixed in Version5.0.beta 
Summary0000318: multiple records in table cache for one hash
Descriptionthere is something wrong with the cache, multiple records
for one hash (?)

It seems after each cache update wacko just adds another record
this leads to thousends and thousends unnecessary records
TagsNo tags attached.

Relationships

related to 0000308 resolvedadministrator Cache DBMS queries 
related to 0000221 resolvedadministrator cache issue & browser default language settings from guest 

Activities

administrator

2009-08-22 10:15

administrator  

administrator

2009-08-22 10:19

administrator   ~0000675

TanSann (5 Mar 2009 21:20:55):
I'm not really sure as I don't think I've ever worked directly with any of the caching code, I have no idea how it works without looking closer at it. The behavior you noticed does seem strange. I'd flag it as a bug and then we can look closer at it at a later date.

administrator

2009-10-10 23:29

administrator   ~0000694

Last edited: 2009-10-10 23:32

View 2 revisions

found the problem (non unique identifier) and understand now why it is the way it is - have to think about it

administrator

2010-02-02 03:23

administrator   ~0000740

guess this issue is done - see function Maintenance in wacko class

Issue History

Date Modified Username Field Change
2009-08-22 10:15 administrator New Issue
2009-08-22 10:15 administrator File Added: tbl_cache_multiple_records.png
2009-08-22 10:19 administrator Note Added: 0000675
2009-08-22 10:19 administrator Status new => confirmed
2009-08-22 10:23 administrator Description Updated View Revisions
2009-08-22 10:24 administrator Assigned To => Tann San
2009-08-22 10:24 administrator Product Version => 4.2
2009-08-22 10:26 administrator Status confirmed => assigned
2009-08-22 10:27 administrator Target Version 4.3.rc => 5.0.0
2009-10-10 18:42 administrator Relationship added related to 0000308
2009-10-10 21:51 administrator Relationship added related to 0000221
2009-10-10 23:29 administrator Note Added: 0000694
2009-10-10 23:32 administrator Note Edited: 0000694 View Revisions
2010-02-02 03:23 administrator Note Added: 0000740
2010-02-02 03:23 administrator Assigned To Tann San => administrator
2010-02-02 03:23 administrator Status assigned => resolved
2010-02-02 03:23 administrator Resolution open => fixed
2010-02-02 03:23 administrator Fixed in Version => 5.0.beta
2010-02-02 03:23 administrator Target Version 5.0.0 => 5.0.beta
2010-03-08 10:11 administrator Category Cache => cache
2011-05-31 21:24 administrator Build => R5.0.beta